#!/bin/bash

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c CONFIG"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi


# parse options
while getopts ":c:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

while IFS= read -r command; do
	if command -v "${command}" &>/dev/null; then
		echo "checking for ${command}... yes"
	else
		echo "checking for ${command}... no"
		requirements="${requirements} ${command}"
		install="true"
	fi
done < "${GENERATOR_PATH}/etc/generator.d/INSTALL"

if [[ "${install}" == "true" ]]; then
	echo -e "\nplease install:"
	echo -e "  ${requirements}"
fi

for install_command in ${requirements}; do
	if [[ -f "${GENERATOR_PATH}/etc/generator.d/installhelp/${install_command}" ]]; then
		echo -e "\ninstall guide:"
		break
	fi
done

for install_command in ${requirements}; do
	if [[ -f "${GENERATOR_PATH}/etc/generator.d/installhelp/${install_command}" ]]; then
		printf "   "
		cat "${GENERATOR_PATH}/etc/generator.d/installhelp/${install_command}"
	fi
done
