#!/bin/bash
#
# What creates:
# - exif data for anarcho-copy.org/libre/*.pdf
#
# Requies book.ENV generated by site_env function


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -e book.ENV"
	echo "	-l last book"
	echo "	-i <ID> (get ID with: sbin/search)"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:e:li:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ; cflag=true ;;     # etc/config.mk
        e) . "${OPTARG}" ; eflag=true ;;     # book.ENV
        l) lflag=true ;;
	i) id="${OPTARG}" ; iflag=true ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# check options
if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi
if [[ ! "${eflag}" ]]; then echo "-e option must be specified"; exit 1; fi


# write data to last book
if [[ "${lflag}" == "true" ]]; then
	i="${book[last]}"
	set -x
	exiftool -config "${CONFIG_PATH}/exiftool.cfg" \
		-Title="${book[$i,title]}" \
		-PdfSubtitle="${book[$i,subtitle]}" \
		-Author="${book[$i,author]}" \
	"${PDF_PATH}/${book[$i,url]}.pdf" -overwrite_original
	exit 0
fi

# write data to specific book
if [[ "${iflag}" == "true" ]]; then
	i="$((id-1))"
	set -x
	exiftool -config "${CONFIG_PATH}/exiftool.cfg" \
		-Title="${book[$i,title]}" \
		-PdfSubtitle="${book[$i,subtitle]}" \
		-Author="${book[$i,author]}" \
	"${PDF_PATH}/${book[$i,url]}.pdf" -overwrite_original
	exit 0
fi

# write data to all books
set -x
for i in $(seq "${book[first]}" "${book[last]}"); do
	exiftool -config "${CONFIG_PATH}/exiftool.cfg" \
		-Title="${book[$i,title]}" \
		-PdfSubtitle="${book[$i,subtitle]}" \
		-Author="${book[$i,author]}" \
	"${PDF_PATH}/${book[$i,url]}.pdf" -overwrite_original
done
