#!/bin/bash

book-env() { lib/db/book.ENV.sh -c etc/config.mk -d var/db/books.db > var/db/book.ENV ; }
author-env() { lib/db/author.ENV.sh -c etc/config.mk -d var/db/books.db > var/db/author.ENV ; }
site-env() { lib/db/site.ENV.sh -c etc/config.mk -d var/db/books.db > var/db/site.ENV ; }
char-env() { lib/db/char.ENV.sh -c etc/config.mk -d var/db/books.db > var/db/char.ENV ; }
last-book-env() { lib/db/book.ENV.sh -c etc/config.mk -d var/db/books.db -a 0 > var/db/book.ENV ; }
last-author-env() { lib/db/author.ENV.sh -c etc/config.mk -d var/db/books.db -a 0 > var/db/author.ENV ; }

build-root() {
src/build/index.html.sh -c etc/config.mk -e var/db/site.ENV
src/build/about.html.sh -c etc/config.mk
src/build/sitemap.txt.sh -c etc/config.mk -s var/db/site.ENV -a var/db/author.ENV
src/build/sitemap.xml.sh -c etc/config.mk -s var/db/site.ENV -a var/db/author.ENV
src/build/author/index.html.sh -c etc/config.mk -e var/db/author.ENV
src/build/book/index.html.sh -c etc/config.mk -e var/db/book.ENV
src/build/generator.gz.sh -c etc/config.mk
}

main() {
time book-env
time author-env
time site-env
time build-root
}

amuse() {
char-env
src/build/kitaplar.muse.sh -c etc/config.mk -e var/db/char.ENV
}

post() {
src/build/mirror.txt.sh -c etc/config.mk -s var/db/site.ENV -a var/db/author.ENV
}

if [[ ! "${1}" ]]; then exit 1; fi
"${1}"
