#!/bin/bash
# This script installs: gitlab.com/anarcho-copy/block-fake-pdf-sites

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk"
	echo "   -i install"
	echo "   -r uninstall"
        exit 1
} ; if [[ "$#" -lt 3 ]]; then usage; fi


# parse options
while getopts ":c:ir" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ; cflag=true ;;     # etc/config.mk
	i) iflag="true" ;;
	r) rflag="true" ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# check options
if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi

# uninstall fake-pdf-site-blocker
if [[ "${rflag}" == "true" ]]; then
        cd "${GENERATOR_PATH}/var/extra/fake-pdf-site-blocker"
        make clean
        make uninstall
        cd -
	rm -rf "${GENERATOR_PATH}/var/extra/fake-pdf-site-blocker"
	exit 0
fi

# install urlp
if [[ ! -x "$(command -v urlp)" ]]; then
	if [[ -x "$(command -v pip3)" ]]; then
		pip3 install urlp
	else
		pip install urlp
	fi
fi

# install fake-pdf-site-blocker
if [[ "${iflag}" == "true" ]]; then
	mkdir -p "${GENERATOR_PATH}/var/extra"
	git clone "${BLOCKER_SOURCE}" "${GENERATOR_PATH}/var/extra/fake-pdf-site-blocker" || {
		git -C "${GENERATOR_PATH}/var/extra/fake-pdf-site-blocker" restore .
		git -C "${GENERATOR_PATH}/var/extra/fake-pdf-site-blocker" pull
	}
	cd "${GENERATOR_PATH}/var/extra/fake-pdf-site-blocker"
	make generate
	make install
	cd -
fi
