#!/bin/bash
# This script installs pdf tools

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c CONFIG -i install"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi


# parse options
while getopts ":c:i" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ; cflag=true ;;     # etc/config.mk
	i) iflag="true" ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi

if [[ "${iflag}" == "true" ]]; then
	mkdir -p "${PDF_TOOLS_PATH}/"

	while IFS= read -r url; do
		file="$(basename "${url}")"
		wget -O "${PDF_TOOLS_PATH}/${file}" "${url}"
		unzip -o "${PDF_TOOLS_PATH}/${file}" -d "${PDF_TOOLS_PATH}"
	done <<<"${PDF_TOOLS_SOURCE}"

        chmod +x ${PDF_TOOLS_PATH}/*.py
	echo -e "\nAdd this line to bash profile:\n"
        echo "export PATH=\"\${PATH}:$(realpath "${PDF_TOOLS_PATH}")\""
fi
