#!/bin/bash
# This script installs: https://adi.onl/pp.html

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk"
	echo "   -i install"
	echo "   -r uninstall"
        exit 1
} ; if [[ "$#" -lt 3 ]]; then usage; fi


# parse options
while getopts ":c:ir" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ; cflag=true ;;     # etc/config.mk
	i) iflag="true" ;;
	r) rflag="true" ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# check options
if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi

# uninstall pp
if [[ "${rflag}" == "true" ]]; then
	rm "${GENERATOR_PATH}/bin/pp"
fi

# install pp
if [[ "${iflag}" == "true" ]]; then
	mkdir -p "${GENERATOR_PATH}/var/extra"
	wget -O "${GENERATOR_PATH}/var/extra/pp.tar.gz" "${PP_SOURCE}"
	tar xzvf "${GENERATOR_PATH}/var/extra/pp.tar.gz" --directory "${GENERATOR_PATH}/var/extra"
	make -C "${GENERATOR_PATH}/var/extra/pp" pp
	cp "${GENERATOR_PATH}/var/extra/pp/pp" "${GENERATOR_PATH}/bin"
fi
