#!/bin/bash
# This script installs sqlite-editor

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c CONFIG"
	echo " -i install"
	echo " -s serve"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:is" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ; cflag=true ;;     # etc/config.mk
	i) iflag="true" ;;
	s) sflag="true" ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi

if [[ "${iflag}" == "true" ]]; then
	mkdir -p "${SQLITE_EDITOR_PATH}"
	cp "${SQLITE_EDITOR_DOCKER_PATH}/docker-compose.yml" "${SQLITE_EDITOR_PATH}/docker-compose.yml"
	SQLITE_EDITOR_DB_FILE="$(sed 's/\//\\\//g' <<<"${SQLITE_EDITOR_DB_FILE}")"
	sed -i "${SQLITE_EDITOR_PATH}/docker-compose.yml" -e "s/{{ .name }}/${SQLITE_EDITOR_DB_NAME}/g" -e "s/{{ .base }}/${SQLITE_EDITOR_DB_BASE}/g" -e "s/{{ .file }}/${SQLITE_EDITOR_DB_FILE}/g" -e "s/{{ .port }}/${SQLITE_EDITOR_PORT}/g"
	cp "${SQLITE_EDITOR_DOCKER_PATH}/Dockerfile" "${SQLITE_EDITOR_PATH}/Dockerfile"
	rm -rf "${SQLITE_EDITOR_PATH}/site_files"
	cp -r "${SQLITE_EDITOR_DOCKER_PATH}/site_files" "${SQLITE_EDITOR_PATH}/"
fi

if [[ "${sflag}" == "true" ]]; then
	echo "removing.."
	${SQLITE_EDITOR_OCI_COMPOSE} -f "${SQLITE_EDITOR_PATH}/docker-compose.yml" down -v
	echo "building.."
	${SQLITE_EDITOR_OCI_COMPOSE} -f "${SQLITE_EDITOR_PATH}/docker-compose.yml" up -d --build &>/dev/null && echo "started."
	echo -e "\n  VISIT: https://${SQLITE_EDITOR_BIND}:${SQLITE_EDITOR_PORT}/edit.php\n"
	echo -e "         https://${SQLITE_EDITOR_BIND}:${SQLITE_EDITOR_PORT}/?sqlite=&username=&db=books.db&select=books"
fi
