#!/bin/bash

# print usage info
usage() {
	echo "Usage: ${BASH_SOURCE[0]} -c CONFIG"
	exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi


# parse options
while getopts ":c:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
	:) echo "Error: -${OPTARG} requires an argument." ; usage ;;
	*) usage ;;
    esac
done

echo "==> sending curl request to tr.anarchistlibraries.net server via TORSOCKS"
set -x
torsocks curl --silent -F __auth_user="${LIBRARY_USER}" \
     -F __auth_pass="${LIBRARY_PASS}" \
     -F message="Book index updated via API request, ${DATE_AMUSE}" \
     -F "body=<${BUILD_PATH}/${FILE_AMUSE}" https://tr.anarchistlibraries.net/remote/edit/special/kitaplar
