#!/bin/bash

# print usage info
usage() {
	echo "Usage: ${BASH_SOURCE[0]} -f PDF -o OUTPUT"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":f:o:" opt; do
    case "${opt}" in
        f) PDF="${OPTARG}" ;;
	o) JPEG="${OPTARG}" ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# check variables
if [[ -z "${JPEG}" ]]; then echo "output file must be specified"; exit 1;  fi
if [[ ! $(head -c 4 "${PDF}") = "%PDF" ]]; then echo -e "Input file is not PDF. aborting\n${PDF}"; exit 1; fi

gs -dQUIET -dBATCH -dNOPAUSE -sDEVICE=jpeg -r150 -dFirstPage=1 -dLastPage=1 -sOutputFile="${JPEG}" "${PDF}"
