#!/bin/bash

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" && cflag=true ;;     # etc/config.mk
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# check options
if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi
if [[ -f "${GENERATOR_PATH}/var/extra/_production_exist" ]]; then BUILD_PATH="${BUILD_PATH}-prod"; fi

# main
cd "${BUILD_PATH}"
find * -type f

cd "${IMAGE_PATH}"
find * -type f

cd "$(dirname "${PDF_PATH}")"
find $(basename "${PDF_PATH}")/* -type f
