#!/bin/bash

usage() {
	echo "Usage: ${BASH_SOURCE[0]} -d DB -c etc/config.mk"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

while getopts ":d:c:" opt; do
	case ${opt} in
		d) sqlite_file="${OPTARG}" ; if [[ ! $(head -c 13 "${sqlite_file}") = "SQLite format" ]]; then echo "Input file is not SQLite. aborting"; exit 1; else _sqlite_exist="true"; fi ;;
		c) . "${OPTARG}" ; cflag=true ;;
		:) echo "Error: -${OPTARG} requires an argument." ; usage ;;
		*) usage ;;
	esac
done

if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi
if [[ ! "${_sqlite_exist}" == "true" ]]; then echo "sqlite file must be specified"; exit 1; fi
date -d "${DATE}" &>/dev/null || {  echo "Date format is invalid, aborting"; exit 1; }

pubdate="2019-01-01T00:00:01+00:00"
for id in $(sqlite3 "${sqlite_file}" "SELECT _rowid_ FROM books WHERE pubdate = '2019-01-01T00:00:01+00:00'"); do
	sqlite3 "${sqlite_file}" "UPDATE books SET pubdate='${pubdate}' WHERE rowid=${id}" -echo
	pubdate=$(${DATE_CMD} -d "${pubdate} +5 hour")
done
