#!/bin/bash
# required function get_port()
# This script provides temp web server for testing.

# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c CONFIG"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# set random port
TEMP_SERVER_PORT="$(get_port)"

# check if production
if [[ -f "${GENERATOR_PATH}/var/extra/_production_exist" ]]; then
	BUILD_PATH="${BUILD_PATH}-prod"
fi

if [[ -x "$(command -v python3.10)" ]]; then
	python3.10 -m http.server --directory "${BUILD_PATH}" --bind ${TEMP_SERVER_BIND} ${TEMP_SERVER_PORT}
else
	cd "${BUILD_PATH}"
	python3 -m http.server --bind ${TEMP_SERVER_BIND} ${TEMP_SERVER_PORT}
fi
