#!/bin/bash

# print usage info
usage() {
	echo "Usage: ${BASH_SOURCE[0]} -f FILE -c CONFIG
	-m commit"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":f:c:m" opt; do
    case "${opt}" in
        f) TODO="${OPTARG}" ; fflag="true" ;;
        c) . "${OPTARG}" ; cflag="true" ;;     # etc/config.mk
	m) mflag="true" ;;
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

if [[ "${fflag}" == "true" ]]; then
	cat "${TODO}" | grep '\* ' > "${TODO}.new"
	cat "${TODO}" | grep '\+ ' >> "${TODO}.new"
	cat "${TODO}" | grep '\? ' >> "${TODO}.new"
	cat "${TODO}" | grep '\- ' >> "${TODO}.new"
	mv "${TODO}.new" "${TODO}"
else
	echo "file not specified"
	exit 1
fi

if [[ "${mflag}" == "true" ]]; then
	if [[ ! "${cflag}" == "true" ]]; then
		echo "config not specified"
		exit 1
	fi
	git -C "${GENERATOR_PATH}" add "${TODO}"
	git -C "${GENERATOR_PATH}" commit -m "recreate ${TODO} with ${BASH_SOURCE[0]}"
fi
