#!/bin/bash

usage() {
	echo "Usage: ${BASH_SOURCE[0]} -d DB -c etc/config.mk"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

while getopts ":d:c:" opt; do
	case ${opt} in
		d) sqlite_file="${OPTARG}" ; if [[ ! $(head -c 13 "${sqlite_file}") = "SQLite format" ]]; then echo "Input file is not SQLite. aborting"; exit 1; else _sqlite_exist="true"; fi ;;
		c) . "${OPTARG}" ; cflag=true ;;
		:) echo "Error: -${OPTARG} requires an argument." ; usage ;;
		*) usage ;;
	esac
done

if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi
if [[ ! "${_sqlite_exist}" == "true" ]]; then echo "sqlite file must be specified"; exit 1; fi
date -d "${DATE}" &>/dev/null || {  echo "Date format is invalid, aborting"; exit 1; }

count=$(sqlite3 "${sqlite_file}" "SELECT COUNT(*) FROM books")
for i in $(seq 1 "${count}"); do
	pubdate=$(sqlite3 "${sqlite_file}" "SELECT pubdate FROM books WHERE rowid='${i}'")

	if [ -z "${pubdate}" ]; then
		echo "${i} is empty"
	else
		_pubdate="$(${DATE_CMD} -d "${pubdate}")"
		sqlite3 "${sqlite_file}" "UPDATE books SET pubdate='$_pubdate' WHERE rowid='${i}'";
		echo "${pubdate}  >  $_pubdate       : ${i}"
	fi
done
sqlite3 "${sqlite_file}" "VACUUM;"
