#!/bin/bash

usage() {
	echo "Usage: ${BASH_SOURCE[0]} -d DB -c etc/config.mk"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

while getopts ":d:c:" opt; do
	case ${opt} in
		d) sqlite_file="${OPTARG}" ; if [[ ! $(head -c 13 "${sqlite_file}") = "SQLite format" ]]; then echo "Input file is not SQLite. aborting"; exit 1; else _sqlite_exist="true"; fi ;;
		c) . "${OPTARG}" ; cflag=true ;;
		:) echo "Error: -${OPTARG} requires an argument." ; usage ;;
		*) usage ;;
	esac
done

if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi
if [[ ! "${_sqlite_exist}" == "true" ]]; then echo "sqlite file must be specified"; exit 1; fi

count=$(sqlite3 "${sqlite_file}" "SELECT COUNT(*) FROM books")
for i in $(seq 1 "${count}"); do
	uuid=$(sqlite3 "${sqlite_file}" "SELECT uuid FROM books WHERE rowid='${i}'")

	if [ ! -z "${uuid}" ]; then
		echo "${i} is not empty"
	else
		uuid="$(get_uuid)"
		sqlite3 "${sqlite_file}" "UPDATE books SET uuid='${uuid}' WHERE rowid='${i}'";
		echo ">  ${uuid}       : ${i}"
	fi
done
sqlite3 "${sqlite_file}" "VACUUM;"
