#!/bin/bash
#
# What creates:
# - anarcho-copy.org/index2.html
#
# Executing from lib/generate.sh
#
# Requies etc/config.mk


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done


mkdir -p "${BUILD_PATH}/"
OUTPUT="${BUILD_PATH}/about.html"


# import pp template
. ${GENERATOR_PATH}/src/build/pp/about.html.pp

# generate html
main > "${OUTPUT}"
