#!/bin/bash
#
# What creates:
# - anarcho-copy.org/pdf/author/index.html
#
# Executing from lib/generate.sh
#
# Requies author.ENV generated by author_env function


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -e author.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:e:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        e) . "${OPTARG}" ;;     # author.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done


mkdir -p "${BUILD_PATH}/author"
mkdir -p $(for i in $(seq "${author[first]}" "${author[last]}"); do printf "${BUILD_PATH}/author/${author[$i,url]} "; done)


# import pp template
. ${GENERATOR_PATH}/src/build/pp/author/index.html.pp

for i in $(seq ${author[first]} ${author[last]}); do
	OUTPUT="${BUILD_PATH}/author/${author[$i,url]}/index.html"
	main > "${OUTPUT}"
done
