#!/bin/bash
#
# What creates:
# - anarcho-copy.org/copy/book-name/index.html
#
# Executing from lib/generate.sh
#
# Requies book.ENV generated by book_env function


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -e book.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:e:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        e) . "${OPTARG}" ;;     # book.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

mkdir -p "${BUILD_PATH}/book"
mkdir -p $(for i in $(seq "${book[first]}" "${book[last]}"); do echo -n "${BUILD_PATH}/book/${book[$i,url]} "; done)
if [[ "${UNLISTED_EXISTS}" == "1" ]]; then
	mkdir -p "${BUILD_PATH}/451"
	mkdir -p $(for i in $(seq "${book[first]}" "${book[last]}"); do echo -n "${BUILD_PATH}/451/${book[$i,url]} "; done)
fi

# import pp template
. ${GENERATOR_PATH}/src/build/pp/book/index.html.pp
. ${GENERATOR_PATH}/src/build/pp/book/451-index.html.pp

# generate html
if [[ "${UNLISTED_EXISTS}" == "1" ]]; then
    for i in $(seq ${book[first]} ${book[last]}); do
        OUTPUT="${BUILD_PATH}/book/${book[$i,url]}/index.html"
	OUT451="${BUILD_PATH}/451/${book[$i,url]}/index.html"
        if [[ "${book[$i,directory]}" == *"unlisted"* ]]; then
            451_main | tee "${OUTPUT}" "${OUT451}" 1>/dev/null
        else
            main | sed "s%/${PDF_DIR}/%${IPFS_PDF_DIR}/%g" > "${OUTPUT}"
        fi
    done
else
    for i in $(seq ${book[first]} ${book[last]}); do
        OUTPUT="${BUILD_PATH}/book/${book[$i,url]}/index.html"
        main > "${OUTPUT}"
    done
fi
