#!/bin/bash
#
# What creates:
# - anarcho-copy.org/copy/book-name/image.jpeg
#
# Executing from lib/generate.sh
#
# Requies book.ENV generated by book_env function


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -e book.ENV"
	echo " -p copy image(s) to build directory"
	echo " -s skip if exist"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:e:ps" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        e) . "${OPTARG}" ;;     # book.ENV
	p) pflag="true" ;;	# for last book
	s) sflag="true" ;;	# skip if exist
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done


mkdir -p "${IMAGE_PATH}/${BOOK_DIR}"
mkdir -p $(for i in $(seq "${book[first]}" "${book[last]}"); do printf "${IMAGE_PATH}/${BOOK_DIR}/${book[$i,url]} "; done)

#USE only bash-builtin commands in loop
#DO NOT use cat instead of echo

for i in $(seq ${book[first]} ${book[last]}); do
	JPEG="${IMAGE_PATH}/${BOOK_DIR}/${book[$i,url]}/image.jpeg"
	JPEG_BUILD="${PROD_PATH:-$BUILD_PATH}/${BOOK_DIR}/${book[$i,url]}/image.jpeg"

	if [[ "${sflag}" == "true" ]]; then
		if identify "${JPEG}" &>/dev/null; then
			echo "EXIST: ${JPEG}"
			continue
		else
			echo "GENERATE: ${JPEG}"
		fi
	fi

	PDF="${PDF_PATH}/${book[$i,url]}.pdf"

	lib/pdf2thumbnail.sh -f "${PDF}" -o "${JPEG}"

	if [[ "${pflag}" == "true" ]]; then
		cp "${JPEG}" "${JPEG_BUILD}"
	fi
done
