#!/bin/bash
#
# What creates:
# - anarcho-copy.org/generator.gz
#
# Executing from lib/generate.sh
#
# Requies etc/config.mk

usage() {
	echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk"
	exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

while getopts ":d:c:" opt; do
	case ${opt} in
		c) . "${OPTARG}" ; cflag=true ;;
		:) echo "Error: -${OPTARG} requires an argument." ; usage ;;
		*) usage ;;
	esac
done

# check important variables
if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi

# check if production
if [[ -f "${GENERATOR_PATH}/var/extra/_production_exist" ]]; then
        BUILD_PATH="${BUILD_PATH}-prod"
fi

# main
mkdir -p "${BUILD_PATH}"
git -C "${GENERATOR_PATH}" archive --format tar.gz --output "${BUILD_PATH}/generator.tar.gz" master
