#!/bin/bash
#
# What creates:
# - anarcho-copy.org/index.html
#
# Executing from lib/generate.sh
#
# Requies site.ENV generated by site_env function


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -e site.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:e:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        e) . "${OPTARG}" ;;     # site.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done


mkdir -p "${BUILD_PATH}/"
OUTPUT="${BUILD_PATH}/index.html"


# import pp template
. ${GENERATOR_PATH}/src/build/pp/index.html.pp

# generate html
main > "${OUTPUT}"
