#!/bin/bash
#
# What creates:
# - tr.anarchistlibraries.net/special/kitaplar.muse
#
# Executing from lib/generate.sh
#
# Requies etc/config.mk char.ENV


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -e char.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:e:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        e) . "${OPTARG}" ;;     # char.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done


mkdir -p "${BUILD_PATH}/"
OUTPUT="${BUILD_PATH}/${FILE_AMUSE}"


# import pp template
. ${GENERATOR_PATH}/src/build/pp/kitaplar.muse.pp

# generate html
main > "${OUTPUT}"
