#!/bin/bash
# [POST SCRIPT]
#
# What creates:
# - anarcho-copy.org/mirror.txt
#
# Executing from lib/post-generate.sh
#
# Requies etc/config.mk site.ENV author.ENV


# print usage info
usage() {
	echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -s site.ENV -a author.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:s:a:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        s) . "${OPTARG}" ;;     # site.ENV
        a) . "${OPTARG}" ;;     # author.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

# MIRROR PAGES ENTITY
if [[ -f "${GENERATOR_PATH}/var/extra/_production_exist" ]]; then BUILD_PATH="${BUILD_PATH}-prod"; fi
cd "${BUILD_PATH}"; readarray -t mirror_pages < <(find * -type f | grep -v 'book/' | grep -v 'author/'); cd - &>/dev/null
mirror_entity_count="${#mirror_pages[@]}"; mirror_entity_first="0"; mirror_entity_last="$((mirror_entity_count - 1))"


mkdir -p "${BUILD_PATH}/"
OUTPUT="${BUILD_PATH}/mirror.txt"

#DO NOT use cat instead of echo

for i in $(seq "${mirror_entity_first}" "${mirror_entity_last}"); do
        echo "${URL}/${mirror_pages[$i]}"
done > "${OUTPUT}"

for i in $(seq "${index[book,first]}" "${index[book,last]}"); do
	echo "${URL}/${BOOK_DIR}/${index[book,$i,url]}/index.html"
done >> "${OUTPUT}"

for i in $(seq "${author[first]}" "${author[last]}"); do
	echo "${URL}/${AUTHOR_DIR}/${author[$i,url]}/index.html"
done >> "${OUTPUT}"

for i in $(seq "${index[book,first]}" "${index[book,last]}"); do
	echo "${URL}/${PDF_DIR}/${index[book,$i,url]}.pdf"
done >> "${OUTPUT}"

for i in $(seq "${index[book,first]}" "${index[book,last]}"); do
        echo "${URL}/${BOOK_DIR}/${index[book,$i,url]}/image.jpeg"
done >> "${OUTPUT}"
