#!/bin/bash
# https://adi.onl/pp.html

# print usage info
usage() {
	echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk"
	exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:" opt; do
	case "${opt}" in
		c) . "${OPTARG}" ; cflag=true ;;
		:) echo "Error: -${OPTARG} requires an argument." ; usage ;;
		*) usage ;;
	esac
done

# check options
if [[ ! "${cflag}" ]]; then echo "-c option must be specified"; exit 1; fi


# about.html
echo "main() {" > "${GENERATOR_PATH}/src/build/pp/about.html.pp"
pp -d "${GENERATOR_PATH}/src/build/about.html" >> "${GENERATOR_PATH}/src/build/pp/about.html.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/about.html.pp"

# index.html
echo "main() {" > "${GENERATOR_PATH}/src/build/pp/index.html.pp"
pp -d "${GENERATOR_PATH}/src/build/index.html" >> "${GENERATOR_PATH}/src/build/pp/index.html.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/index.html.pp"

# sitemap.xml
echo "main() {" > "${GENERATOR_PATH}/src/build/pp/sitemap.xml.pp"
pp -d "${GENERATOR_PATH}/src/build/sitemap.xml" >> "${GENERATOR_PATH}/src/build/pp/sitemap.xml.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/sitemap.xml.pp"

# kitaplar.muse
echo "main() {" > "${GENERATOR_PATH}/src/build/pp/kitaplar.muse.pp"
pp -d "${GENERATOR_PATH}/src/build/kitaplar.muse" >> "${GENERATOR_PATH}/src/build/pp/kitaplar.muse.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/kitaplar.muse.pp"

# book/index.html
echo "main() {" > "${GENERATOR_PATH}/src/build/pp/book/index.html.pp"
pp -d "${GENERATOR_PATH}/src/build/book/index.html" >> "${GENERATOR_PATH}/src/build/pp/book/index.html.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/book/index.html.pp"

# book/451-index.html
echo "451_main() {" > "${GENERATOR_PATH}/src/build/pp/book/451-index.html.pp"
pp -d "${GENERATOR_PATH}/src/build/book/451-index.html" >> "${GENERATOR_PATH}/src/build/pp/book/451-index.html.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/book/451-index.html.pp"

# author/index.html
echo "main() {" > "${GENERATOR_PATH}/src/build/pp/author/index.html.pp"
pp -d "${GENERATOR_PATH}/src/build/author/index.html" >> "${GENERATOR_PATH}/src/build/pp/author/index.html.pp"
echo "}" >> "${GENERATOR_PATH}/src/build/pp/author/index.html.pp"
