#!/bin/bash
#
# What creates:
# - anarcho-copy.org/sitemap.txt
#
# Executing from lib/generate.sh
#
# Requies etc/config.mk site.ENV author.ENV


# print usage info
usage() {
	echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -s site.ENV -a author.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:s:a:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;     # etc/config.mk
        s) . "${OPTARG}" ;;     # site.ENV
        a) . "${OPTARG}" ;;     # author.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done

mkdir -p "${BUILD_PATH}/"
OUTPUT="${BUILD_PATH}/sitemap.txt"


#DO NOT use cat instead of echo

for i in $(seq "${index[sitemap_entity,first]}" "${index[sitemap_entity,last]}"); do
	echo "${URL}/${index[sitemap_entity,$i,url]}"
done > "${OUTPUT}"

for i in $(seq "${index[book,first]}" "${index[book,last]}"); do
	echo "${URL}/${BOOK_DIR}/${index[book,$i,url]}/"
done >> "${OUTPUT}"

for i in $(seq "${author[first]}" "${author[last]}"); do
	echo "${URL}/${AUTHOR_DIR}/${author[$i,url]}/"
done >> "${OUTPUT}"

for i in $(seq "${index[book,first]}" "${index[book,last]}"); do
	echo "${URL}/${PDF_DIR}/${index[book,$i,url]}.pdf"
done >> "${OUTPUT}"
