#!/bin/bash
#
# What creates:
# - anarcho-copy.org/sitemap.xml
#
# Executing from lib/generate.sh
#
# Requies etc/config.mk site.ENV author.ENV


# print usage info
usage() {
        echo "Usage: ${BASH_SOURCE[0]} -c etc/config.mk -s site.ENV -a author.ENV"
        exit 1
} ; if [[ "$#" -lt 1 ]]; then usage; fi

# parse options
while getopts ":c:s:a:" opt; do
    case "${opt}" in
        c) . "${OPTARG}" ;;	# etc/config.mk
	s) . "${OPTARG}" ;;	# site.ENV
	a) . "${OPTARG}" ;;	# author.ENV
        :) echo "Error: -${OPTARG} requires an argument." ; usage ;;
        *) usage ;;
    esac
done


mkdir -p "${BUILD_PATH}/"
OUTPUT="${BUILD_PATH}/sitemap.xml"


# import pp template
. ${GENERATOR_PATH}/src/build/pp/sitemap.xml.pp

# generate html
main > "${OUTPUT}"
